<?php
/*
    Theme: Fachschaft Computerlinguistik
    IFunctions File
*/
    // add support for theme functions
    // - add support for post thumbnails
    add_theme_support('post-thumbnails');
    // - add support for custom menus
    add_theme_support('menus');
    // - add support for header image
    add_theme_support('custom-header', array('default-image'=>get_template_directory_uri().'/img/header.jpg', 'uploads'=>true));

    function register_my_menu() {
          register_nav_menu('new-menu',__( 'New Menu' ));
    }
    add_action( 'init', 'register_my_menu' );

    // add filters for theme
    // -add custom file types
    function fscoli_mime_types($mime_types){
        $mime_types['tex'] = 'application/x-tex'; //LaTeX files
        return $mime_types;
    }
    add_filter('upload_mimes', 'fscoli_mime_types', 1, 1);
?>
